Loading...
Searching...
No Matches
pcl::gpu::people::Blob2 Struct Reference

This structure contains all parameters to describe blobs and their parent/child relations. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/label_blob2.h>`

## Public Attributes

int | id
part_t | label
int | lid
Eigen::Vector4f | mean
Eigen::Matrix3f | cov
Eigen::Vector3f | eigenval
Eigen::Matrix3f | eigenvect
int | child_id [MAX_CHILD]
int | child_lid [MAX_CHILD]
float | child_dist [MAX_CHILD]
char | child_label [MAX_CHILD]
pcl::PointIndices | indices
Eigen::Vector4f | min
Eigen::Vector4f | max

## Detailed Description

This structure contains all parameters to describe blobs and their parent/child relations.

Todo
  : clean this out in the end, perhaps place the children in a separate struct

Definition at line 57 of file label_blob2.h.

## Member Data Documentation

## child_dist

float pcl::gpu::people::Blob2::child_dist[MAX_CHILD]

Definition at line 71 of file label_blob2.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::browseTree(), and pcl::gpu::people::operator<<().

## child_id

int pcl::gpu::people::Blob2::child_id[MAX_CHILD]

Definition at line 69 of file label_blob2.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::browseTree(), and pcl::gpu::people::operator<<().

## child_label

char pcl::gpu::people::Blob2::child_label[MAX_CHILD]

Definition at line 72 of file label_blob2.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::browseTree(), and pcl::gpu::people::operator<<().

## child_lid

int pcl::gpu::people::Blob2::child_lid[MAX_CHILD]

Definition at line 70 of file label_blob2.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::browseTree(), and pcl::gpu::people::operator<<().

## cov

Eigen::Matrix3f pcl::gpu::people::Blob2::cov

Definition at line 64 of file label_blob2.h.

Referenced by pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## eigenval

Eigen::Vector3f pcl::gpu::people::Blob2::eigenval

Definition at line 65 of file label_blob2.h.

Referenced by pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## eigenvect

Eigen::Matrix3f pcl::gpu::people::Blob2::eigenvect

Definition at line 66 of file label_blob2.h.

Referenced by pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## id

int pcl::gpu::people::Blob2::id

Definition at line 59 of file label_blob2.h.

Referenced by pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## indices

pcl::PointIndices pcl::gpu::people::Blob2::indices

Definition at line 74 of file label_blob2.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::browseTree(), pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## label

part_t pcl::gpu::people::Blob2::label

Definition at line 60 of file label_blob2.h.

Referenced by pcl::gpu::people::evaluateBlobs(), pcl::gpu::people::evaluateBlobs(), pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## lid

int pcl::gpu::people::Blob2::lid

Definition at line 61 of file label_blob2.h.

Referenced by pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## max

Eigen::Vector4f pcl::gpu::people::Blob2::max

Definition at line 76 of file label_blob2.h.

Referenced by pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## mean

Eigen::Vector4f pcl::gpu::people::Blob2::mean

Definition at line 63 of file label_blob2.h.

Referenced by pcl::gpu::people::evaluateBlobs(), pcl::gpu::people::evaluateBlobs(), pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

## min

Eigen::Vector4f pcl::gpu::people::Blob2::min

Definition at line 75 of file label_blob2.h.

Referenced by pcl::gpu::people::operator<<(), and pcl::gpu::people::label_skeleton::sortIndicesToBlob2().

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/label_blob2.h